JMSConnectionStatsImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.management.JMSConnectionStatsImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class JMSConnectionStatsImpl

    java.lang.Object
      org.codehaus.activemq.management.StatsImpl
          org.codehaus.activemq.management.JMSConnectionStatsImpl

All Implemented Interfaces:
  JMSConnectionStats, Resettable, Stats

public class JMSConnectionStatsImpl
extends StatsImpl
implements JMSConnectionStats

Statistics for a JMS connection

Version:
  $Revision: 1.4 $

Constructor Summary
`JMSConnectionStatsImpl(List sessions, boolean transactional)`

Method Summary
`void` | `dump(IndentPrinter out)`
`JMSSessionStats[]` | `getSessions()`
`boolean` | `isTransactional()`
`String` | `toString()`

Methods inherited from class org.codehaus.activemq.management.StatsImpl
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JMSConnectionStatsImpl

    public JMSConnectionStatsImpl(List sessions,
                                  boolean transactional)

Method Detail

### getSessions

    public JMSSessionStats[] getSessions()

  Specified by:
    `getSessions` in interface `JMSConnectionStats`

### isTransactional

    public boolean isTransactional()

  Specified by:
    `isTransactional` in interface `JMSConnectionStats`

### toString

    public String toString()

### dump

    public void dump(IndentPrinter out)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.